elseif handles.D.stffmodel==3
    %This are unknown variables that are being fit by a least squares
    %curve fit.
    % x(1) - Coefficient
    
    %This is the initial guess for these values, based on the extension
    %curve
    x0=2;
    
    %These are the variables important to the lsqcurvefit function
    lb=-Inf;
    up=Inf;
    
    if trigsame==0;
        ConP=EXTx(Fcur);
        StpP=EXTx(pltend);
        func=@(x,xdata)x.*((xdata-ConP).^(3/2));
        
        opts = optimset('Display','off');   %do not output a writeup
        [xf, resnorm]=lsqcurvefit(func,x0,EXTx(Fcur:pltend),EXTy(Fcur:pltend),lb,up,opts);
        parameter = 4/3 * 1/(1-handles.D.neu^2) * sqrt(handles.D.rval);
        ContactPoint=Fcur;
        YoungsMod=xf/(parameter*10^(-6));
        
        hold on
        plot(EXTx,func(xf,EXTx),'k','LineWidth',1.5);
        drawnow
        hold off
    else
        Checknrm=0;
        Curvenotes=[Curvenotes 'The Extension Curve does not agree with the stiffness model: all calculations were skipped\n'];
        handles.D.do_stff=0;
        YoungsMod=0;
    end
    %4TH OR LATER CUSTOM MODELS HERE